What does it mean - unknown block version?

segwit
litecoin

#1

Recently I have got this notice in my client “unknown block version” just under the toolbar, what does it mean? I wanted to update but as I can see in litecoin.com and org, latest official client for Litecoin core is 0.13.2, however it seems that my one newer 0.13.2.1 and was downloaded from the same site (litecoin.com) 1 month ago or something.

What is it?
Should I downgrade to 0.13.2 from 0.13.2.1?


#2

the same here, I can see this error whole day. What is broken? Is current version 0.13.2.1 sitting on the correct chain? Is it safe to make transactions? Is there somebody who is able to give any explanation what is going on?


#3

https://litecointalk.io/t/advertencia-se-estan-minando-versiones-de-bloques-desconocidas-es-posible-que-normas-desconocidas-esten-activas/2220/3


#4

No answer? Are developers reading here? Why have the client version on more or less offcial resources changed from 0.13.2.1 to 0.13.2?


#5

it is marked as 0.13.2 but I can see that it is 0.13.2.1 after its installation.


#6

BTW today I see that warning has disappeared.


#7

I can still see it.


#8

After restart?


#9

yep, it is ok now.
We will see what devs will do with this notice if it is not a real issue.


#10

Got this message again.


#11

Hi, Litecoin Dev here.

It’s not an issue to worry about. Essentially what’s happening is, certain mining pools were manually setting their BIP9 version bits to signal support for SegWit. And since SegWit has been activated, no such soft fork is being deployed with the same version bits as SegWit. Thus the client thinks that it might be outdated since it doesn’t recognised any soft fork being ‘triggered’.

We’re working with the remaining pools who haven’t stopped signalling to stop. AFAIK, these pools are F2Pool (Discus Fish) and Batpool.


Unknown block versions being mined! It's possible unknown rules are in effect
#12

cool…
good to know its not an issue with previous transacitons


#13

Thank you very much!
Mine is not showing it anymore!


#14

It’s july and this is still there. Any statement about it? I just upgraded litecoint client because there was a message urgent update is needed.


#15

I just upgraded and got the same message…on Linux node…windows node is fine though


#16

I restarted it and next time the message disappeared… On Windows OS


#17

I figured out that because I dumped my private key before the blockchain finished downloading that must be my issue because that is the only way the “key” could have been “compromised”